/*
Copyright © 2021 NAME HERE <EMAIL ADDRESS>

*/
package cmd

import (
	"isthisnagee.com/tools/diary/model"

	"github.com/spf13/cobra"
)

// listCmd represents the list command
var listCmd = &cobra.Command{
	Use:   "list",
	Short: "List all the diary entries, newest first",
	Long: `List all the entries, starting from the newest.
	To list the entries added today:

	$ diary list today
	`,
	Run: func(cmd *cobra.Command, args []string) {
		results := App.GetDiaryEntries(model.GetDiaryEntriesQuery{})
		PrintEntries(results)
	},
}

func init() {
	rootCmd.AddCommand(listCmd)

	// Here you will define your flags and configuration settings.

	// Cobra supports Persistent Flags which will work for this command
	// and all subcommands, e.g.:
	// listCmd.PersistentFlags().String("foo", "", "A help for foo")

	// Cobra supports local flags which will only run when this command
	// is called directly, e.g.:
	// listCmd.Flags().BoolP("toggle", "t", false, "Help message for toggle")
}
